Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
ezimagecatalogue/user/categoryedit.php File Reference

Go to the source code of this file.

## Functions
| changePermissions ( $objectID, $groups, $permission)
| getImagesAndCategores (&$folderArray, &$fileArray, $fromFolder)

## Variables
if(isset( $Cancel)) | $user =& eZUser::currentUser()
if(! $user) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZImageCatalogueMain", "Language" )
| $t
| $error = false
| $permissionCheck = true
| $nameCheck = true
| $descriptionCheck = true
if( $Action=="Insert"|| $Action=="Update") if(( $Action=="Insert"|| $Action=="Update") && $error==false) if( $Action=="Delete" && $error==false) if( $Action=="New"|| $error) if( $Action=="Edit") | $groups = eZUserGroup::getAll()
foreach( $groups as $group) | $category = new eZImageCategory()
| $categoryList =& $category->getTree( )
| $section = new eZSection( $sectionID )

## Function Documentation

## ◆ changePermissions()

changePermissions | ( |  | $objectID,
|  |  | $groups,
|  |  | $permission
| ) |  |

Definition at line 399 of file ezimagecatalogue/user/categoryedit.php.

References $group, $groups, $permission, eZObjectPermission\removePermissions(), and eZObjectPermission\setPermission().

## ◆ getImagesAndCategores()

getImagesAndCategores | ( | & | $folderArray,
|  | & | $fileArray,
|  |  | $fromFolder
| ) |  |

Definition at line 417 of file ezimagecatalogue/user/categoryedit.php.

References $files, $result, and getImagesAndCategories().

## Variable Documentation

## ◆ $category

foreach ($groups as $group) $category = new eZImageCategory()

Definition at line 348 of file ezimagecatalogue/user/categoryedit.php.

## ◆ $categoryList

$categoryList =& $category->getTree( )

Definition at line 350 of file ezimagecatalogue/user/categoryedit.php.

## ◆ $descriptionCheck

$descriptionCheck = true

Definition at line 99 of file ezimagecatalogue/user/categoryedit.php.

## ◆ $error

$error = false

Definition at line 96 of file ezimagecatalogue/user/categoryedit.php.

## ◆ $groups

if ($Action=="Insert"||$Action=="Update") if (($Action=="Insert"||$Action=="Update") &&$error==false) if ($Action=="Delete" &&$error==false) if ($Action=="New"||$error) if ($Action=="Edit") $groups = eZUserGroup::getAll()

Definition at line 295 of file ezimagecatalogue/user/categoryedit.php.

Referenced by changePermissions().

## ◆ $ini

if (! $user) $ini =& eZINI::instance( 'site.ini' )

Definition at line 56 of file ezimagecatalogue/user/categoryedit.php.

## ◆ $Language

$Language = $ini->variable( "eZImageCatalogueMain", "Language" )

Definition at line 58 of file ezimagecatalogue/user/categoryedit.php.

## ◆ $nameCheck

$nameCheck = true

Definition at line 98 of file ezimagecatalogue/user/categoryedit.php.

## ◆ $permissionCheck

$permissionCheck = true

Definition at line 97 of file ezimagecatalogue/user/categoryedit.php.

## ◆ $section

$section = new eZSection( $sectionID )

Definition at line 393 of file ezimagecatalogue/user/categoryedit.php.

Referenced by ezpbKernelAdmin\__construct(), ezpbKernelWeb\__construct(), ezpKernelTreeMenu\__construct(), ezpKernelWeb\__construct(), ezpKernelRest\__construct(), eZModuleLink\addSection(), categoryTree(), eZModuleLink\removeSection(), eZLinkItem\setSection(), eZTipCategory\setSectionArray(), and eZTipCategory\tips().

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezimagecatalogue/user/" . $ini->variable( "eZImageCatalogueMain", "TemplateDir" ),
"kernel/ezimagecatalogue/user/intl/", $Language, "categoryedit.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(! $user) $ini
Definition: ezimagecatalogue/user/categoryedit.php:56
$Language
$Language
Definition: ezimagecatalogue/user/categoryedit.php:58

Definition at line 60 of file ezimagecatalogue/user/categoryedit.php.

## ◆ $user

if (isset($Cancel)) $user =& eZUser::currentUser()

Definition at line 48 of file ezimagecatalogue/user/categoryedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.